diff -u binutils-2.22/debian/binutils.overrides binutils-2.22/debian/binutils.overrides
--- binutils-2.22/debian/binutils.overrides
+++ binutils-2.22/debian/binutils.overrides
@@ -5,0 +6,3 @@
+
+# discarding spell-checking on option -mmnemonic
+binutils binary: spelling-error-in-binary usr/bin/as mmnemonic mnemonic
diff -u binutils-2.22/debian/changelog binutils-2.22/debian/changelog
--- binutils-2.22/debian/changelog
+++ binutils-2.22/debian/changelog
@@ -1,3 +1,9 @@
+binutils (2.22-6) unstable; urgency=low
+
+  * Fix spelling errors discovered by lintian
+
+ -- Matthias Klose <doko@debian.org>  Tue, 28 Feb 2012 19:27:00 +0100
+
 binutils (2.22-5) unstable; urgency=low
 
   * Update from the binutils-2_22-branch 20120124.
diff -u binutils-2.22/debian/patches/series binutils-2.22/debian/patches/series
--- binutils-2.22/debian/patches/series
+++ binutils-2.22/debian/patches/series
@@ -1,3 +1,4 @@
+169_spell_checking.patch
 branch-updates.diff
 #branch-version.diff
 001_ld_makefile_patch.patch
only in patch2:
unchanged:
--- binutils-2.22.orig/debian/patches/169_spell_checking.patch
+++ binutils-2.22/debian/patches/169_spell_checking.patch
@@ -0,0 +1,22 @@
+* Fix a spelling error discovered by lintian (microprocesspr -> microprocessor)
+* Big to small caps to conform to other names
+--- a/binutils/readelf.c
++++ b/binutils/readelf.c
+@@ -1873,7 +1873,7 @@
+     case EM_MMA:		return "Fujitsu Multimedia Accelerator";
+     case EM_PCP:		return "Siemens PCP";
+     case EM_NCPU:		return "Sony nCPU embedded RISC processor";
+-    case EM_NDR1:		return "Denso NDR1 microprocesspr";
++    case EM_NDR1:		return "Denso NDR1 microprocessor";
+     case EM_STARCORE:		return "Motorola Star*Core processor";
+     case EM_ME16:		return "Toyota ME16 processor";
+     case EM_ST100:		return "STMicroelectronics ST100 processor";
+@@ -1964,7 +1964,7 @@
+     case EM_ECOG1X:		return "Cyan Technology eCOG1X family";
+     case EM_MAXQ30:		return "Dallas Semiconductor MAXQ30 Core microcontrollers";
+     case EM_XIMO16:		return "New Japan Radio (NJR) 16-bit DSP Processor";
+-    case EM_MANIK:		return "M2000 Reconfigurable RISC Microprocessor";
++    case EM_MANIK:		return "M2000 Reconfigurable RISC microprocessor";
+     case EM_CRAYNV2:		return "Cray Inc. NV2 vector architecture";
+     case EM_CYGNUS_MEP:         return "Toshiba MeP Media Engine";
+     case EM_CR16:
